Subject: Re: bug#58980: 29.0.50; Mouse wheel scroll twitches up sometimes when I scroll down

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Nov 2022 10:31:52 +0200

> Date: Wed, 2 Nov 2022 16:20:40 +0000
> From: Mickey Petersen <[email-masked]>
> 
> When I scroll down with my mouse wheel -- typically after an existing 
> window has changed
> buffers, such as after selecting (via keyboard or mouse) an Info manual 
> node --
> the scroll action sometimes (but not always) jerks upwards several
> lines. I can then keep scrolling and it'll start scrolling down
> again. This may sometimes happen after scrolling for a little while, and
> sometimes not at all.
> 
> It's hard to reproduce; but the issue affects a baseline Emacs build (-Q or
> -q) and only sometimes.

Please provide some kind of reproduction recipe, even if it doesn't
happen every time.  When it does happen, type "C-h l", and post the
commands Emacs recorded that you were invoking immediately before the
problem.  Otherwise, it's very hard to do anything about the problem,
unless someone here can reproduce it (I couldn't).

> I had a look in the bug tracker for `scroll' and found nothing. I also
> checked `M-x customize-changed' to look for likely culprits. I found
> nothing that may cause this behaviour, beyond pixel scrolling, which 
> seems like a smoking gun to me,
> but it's off by default in emacs -Q.
> 
> 1. Is it possible there are changes the scrolling code that is active even
> when that mode is not?
> 
> 2. Could there be some sort of variable that determines scroll direction 
> that, somehow, gets confused?

Hard to answer these questions, but maybe Po Lu with have clues.